function Chg(){}
function Ihg(){}
function shg(a){this.a=a}
function uhg(a){this.a=a}
function Ghg(a){this.a=a}
function Bhg(a,b){UZf(a.a,b)}
function Yhg(a){var b;if(!a.d){b=new Chg;a.d=b}return a.d}
function Ehg(){Gne.call(this,vZj,'Persistence Inheritance')}
function nhg(a){var b;b=nAh(a.b.a,nuf(),gM(Y0c,Lwj,1,[]));c7i(V6i(b,IFj),C$j);Qmj(new hmj(b),new shg(a))}
function phg(a,b,d,e){GFd.call(this,a,b,d);this.c=e;this.b=new v_i(jLb,(yAh(),tAh).Mc(jLb),xAh.Mc(jLb));this.a=new K_i(jLb)}
function Xhg(a){var b;if(!a.c){b=new phg(QEd(Nbe(a.a)),Yhg(a),Whg(a),(snj(sde(a.a)),kLg(Gce(a.a))),w0i(qde(a.a)));aFd((Obe(a.a),b),ZFd(Obe(a.a)));a.c=b}return a.c}
function ohg(a,b){var d;d=z_i(a.a,b,nAh(a.b.a,nuf(),gM(Y0c,Lwj,1,[])),gM(R1c,Ewj,281,[]));if(b.Jc(FLj)&&Ch(b.Mc(FLj),jzj)){b.Pc(FLj);i7i(V6i(d,GLj),(llj(),klj))}Qmj(new hmj(d),new uhg(a))}
function rhg(a,b){var d,e;e=Kmj(b);if(e.b.gN(dGj)&&V6i(e,dGj).b.b!=(llj(),klj)&&!UOd(V6i(e,dGj).b.Ze(),eGj)){UXd(H$j+(PXd(),'Loading JPA Subsystem'))}else{d=A_i(a.a.a,V6i(e,RFj).b._M());Bhg(a.a.A,d)}}
f3c(3552,1006,Kxj,phg);_.Qi=function(){this.A.b=this};_.Vi=function(){nhg(this)};_.Zi=function(){quf(this.c,this)};f3c(3553,1293,{},shg);_.dh=function(a){rhg(this,a)};f3c(3554,1293,{},uhg);_.dh=function(a){var b;b=Kmj(a);b.b.gN(dGj)&&V6i(b,dGj).b.b!=(llj(),klj)&&!UOd(V6i(b,dGj).b.Ze(),eGj)?VXd(N_j+(PXd(),$bk),X6i(b)):WXd(O_j+(PXd(),$bk));nhg(this.a)};f3c(3557,1410,Jxj,Chg);_.Ah=function(){var a,b,d,e,g,i;this.a=new _Zf(jLb);a=new Hge(FLj,_bk,false);g=new Ehg;Fne(g,gM(Y0c,Lwj,1,['DEEP','SHALLOW']));M0d(this.a,VFj,gM(P1c,syj,262,[a,g]));K0d(this.a,false);d=new b0i(this.a,new Ghg(this));e=new r1e(new Ihg,this.a);b=zAe(BAe(AAe(new DAe,this.a),e));i=dBe(iBe(hBe(eBe(fBe(kBe(new lBe,j1j),$bk),(PXd(),'The configuration of the JPA subsystem.')),y1j,b),__i(d)));return i};f3c(3558,1658,yyj,Ehg);_.Zj=function(){return false};f3c(3559,1,{},Ghg);_.Dk=function(a){ohg(this.a.b,(this.a.a.c,a))};f3c(3560,1,{},Ihg);_.$k=function(){var a;a=nuf();d7i(J6i(a),ZGj,DEj);return a};f3c(3566,1,qyj);_.pd=function(){yGd(this.b,Xhg(this.a.a))};var bLb=wNd(3552),ZKb=wNd(3553),$Kb=wNd(3554),fLb=wNd(3557),cLb=wNd(3558),dLb=wNd(3559),eLb=wNd(3560);ezj(hp)(54);